package com.ruoyi.system.mapper;


import com.ruoyi.system.domain.urge.ZxUrge;

import java.util.List;

/**
 * 政协催办Mapper接口
 * 
 * @author boman
 * @date 2024-03-12
 */
public interface ZxUrgeMapper 
{
    /**
     * 查询政协催办
     * 
     * @param zxUrgeId 政协催办主键
     * @return 政协催办
     */
    public ZxUrge selectZxUrgeByZxUrgeId(Long zxUrgeId);

    /**
     * 查询政协催办列表
     * 
     * @param zxUrge 政协催办
     * @return 政协催办集合
     */
    public List<ZxUrge> selectZxUrgeList(ZxUrge zxUrge);

    /**
     * 新增政协催办
     * 
     * @param zxUrge 政协催办
     * @return 结果
     */
    public int insertZxUrge(ZxUrge zxUrge);

    /**
     * 修改政协催办
     * 
     * @param zxUrge 政协催办
     * @return 结果
     */
    public int updateZxUrge(ZxUrge zxUrge);

    /**
     * 删除政协催办
     * 
     * @param zxUrgeId 政协催办主键
     * @return 结果
     */
    public int deleteZxUrgeByZxUrgeId(Long zxUrgeId);

    /**
     * 批量删除政协催办
     * 
     * @param zxUrgeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZxUrgeByZxUrgeIds(Long[] zxUrgeIds);
}
